# ConfigurationFile

## *ConfigurationFile* Table

The *ConfigurationFile* table stores metadata about configuration files used by CapStorm products. It serves as the central reference for tracking versions, associations, and the status of each configuration file within the system.

The following table describes each field in the *ConfigurationFile* table:

| Column Name              | Data Type | Required | Description                                                                                                  |
| ------------------------ | --------- | -------- | ------------------------------------------------------------------------------------------------------------ |
| id                       | integer   | Yes      | Unique identifier assigned to this record.                                                                   |
| configFileClassification | varchar   | Yes      | The name of the configuration stored.                                                                        |
| product                  | varchar   | Yes      | The CapStorm product associated with the configuration file, i.e. CopyStorm, CopyStorm/Medic                 |
| fileFormat               | varchar   | Yes      | The file extension for the configuration file.                                                               |
| configFileName           | varchar   | Yes      | The type of configuration file that is being described.                                                      |
| currentVersionId         | integer   | No       | The most up to date version of the configuration file. This id maps to the *ConfigurationFileVersion* table. |
| isDeleted                | boolean   | Yes      | True if the application considers the configuration file as deleted, otherwise false.                        |
| createdDate              | datetime  | Yes      | The date and time when the record was created.                                                               |
| modifiedDate             | datetime  | Yes      | The date and time when the record was last modified.                                                         |
| lastModifiedBy           | varchar   | Yes      | The user who last modified the record.                                                                       |
| createdBy                | varchar   | Yes      | The user who created the record.                                                                             |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://learn.capstorm.com/copystorm-director/reference/copystorm-director-database/configurationfile.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
